// shared/chat-assistant/chat.service.ts
import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root' // 全局单例服务
})
export class ChatService {
  // 使用BehaviorSubject存储当前状态（默认关闭）
  private isChatVisible = new BehaviorSubject<boolean>(false);
  
  // 公开为可观察对象
  isChatVisible$ = this.isChatVisible.asObservable();

  // 打开聊天窗口
  openChat() {
    this.isChatVisible.next(true);
  }

  // 关闭聊天窗口
  closeChat() {
    this.isChatVisible.next(false);
  }
}